# Packmangroup: Multimedia
# Packmanpackagename: libfame
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Fast Assembly Mpeg Encoding library</p>
# Packmanpackagedesc_de: <p>Schnelle Assembler MPEG Encodingbibliothek</p>

%define ver      0.9.1
%define rel      0.pm.3

Name:           libfame
Summary:        Fast Assembly Mpeg Encoding library
Summary(de):    Schnelle Assembler MPEG Encodingbibliothek
Version:        %ver
Release:        %rel
Copyright:      LGPL
Group:          System Environment/Libraries
URL:            http://fame.sourceforge.net

Source0:        libfame-0.9.1.tar.bz2
BuildRoot:      %{_tmppath}/libfame-%{PACKAGE_VERSION}-root
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
AutoReqProv:    off
Provides:       libfame-0.9.so.0
Provides:       libfame-0.9.so.1
%ifarch x86_64 amd64 ia32e
Provides:       libfame-0.9.so.1()(64bit)
%endif

%description
FAME is a library for fast MPEG encoding.

%description -l de
FAME ist eine Bibliothek für schnelles MPEG-Encoding.

%package devel
Summary:        Libraries and include to develop using FAME
Summary(de):    Bibliothek und Includes zum Entwicklen mit FAME
Group:          Development/Libraries
Requires:       %name = %version

%description devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%description devel -l de
FAME ist eine Bibliothek fr schnelles MPEG-Encoding.

Dies ist die Bibliothek, Include-Dateien und andere Resourcen die zur
Entwicklung von Anwendungen, die FAME verwenden, benötigt werden.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%if %suse_version >= 910
  export CFLAGS="$RPM_OPT_FLAGS -fno-unit-at-a-time"
%else
  export CFLAGS="$RPM_OPT_FLAGS"
%endif
%ifarch x86_64 amd64 ia32e
cp /usr/share/automake-`rpm -q --queryformat '%{VERSION}' automake | cut -b 1-3`/config.sub .
%endif
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir --includedir=%_includedir
else
  ./configure --prefix=%_prefix --libdir=%_libdir --mandir=%_mandir --includedir=%_includedir
fi

%__make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/%_libdir
ln -s libfame-0.9.so.1.0.0 libfame-0.9.so.0
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%changelog
* Sat Nov 27 2004 Detlef Reichelt <detlef@dreichtelt.de
- rebuild for x86_64
- get new config.sub from /usr/share/automake-1.9/config.sub
- add ./configure  --libdir=/usr/lib64
- add Provides:	libfame-0.9.so.1()(64bit)
* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
* Mon Oct 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added german summary and description
* Mon Oct 07 2002 Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- changed manpages-directory and other path-corrections
